#ifndef _IPIN_HPP_
#define _IPIN_HPP_

#include <memory>


class Pin
{
	public:
		Pin();
	
		void set(const bool& logic);

		bool get();

		// compare operator
		bool operator ==(const bool& logic);

		// negated comare operator
		bool operator !=(const bool& logic);

	private:	
};


#endif // _IPIN_HPP_
